#ifndef _ADC_H__
#define _ADC_H__
#include <stdint.h>

// Functions to access the ADC

// We have two implementations:
// MCP3204.c and internal_ADC.c


// get a sample from ADC chip.
uint16_t getADC(const int channel);

// initialize the ADC chip
void initADC(void);

// select reference
// returns 1 on success
uint8_t setAREF(const  char* name);


#endif // _ADC_H__
